library(stockassessment)
load("run/model.RData")

LO<-list()
LO[[1]]<-runwithout(fit, fleet=2)
# special treatment of fleet 3 
data <- reduce(fit$data, fleet = 3, conf = fit$conf)     
conf <- attr(data, "conf")     
par <- defpar(data, conf)   
    par$logSdLogObs[] <- 1
    par$logFpar[] <- 2
LO[[2]] <- sam.fit(data, conf, par, rm.unidentified = TRUE)     
LO[[3]]<-runwithout(fit, fleet=4)
attr(LO, "fit") <- fit
names(LO) <- paste0("w.o. ", lapply(2:4, function(x) paste(attr(fit$data, "fleetNames")[x], collapse = " and ")))
class(LO) <- "samset"


save(LO, file="run/leaveout.RData")

